# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit perl-module

DESCRIPTION="FreeType library for Perl"
SRC_URI="http://www.io.com/~kazushi/xtt/${P}.tar.gz"
HOMEPAGE="http://www.io.com/~kazushi/xtt/"

DEPEND="dev-lang/perl
	=media-libs/freetype-1*"
RDEPEND="${DEPEND}
	jcode_pl"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"
LICENSE="BSD"
SLOT=0

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/perlftlib-${PV}-gentoo.patch
}

src_compile(){
	emake || die
}

src_install(){
	dodir /usr/bin
	dodir /usr/share/man/man1
	export myinst="DESTDIR=${D} PREFIX=${D}/usr"
	perl-module_src_install || die
	dodoc COPYING
	newdoc FreeType/COPYING COPYING.FT.xs
}

# To avoid gzipping symlink...
pkg_postinst(){
	ln -s /usr/bin/mkttfdir /usr/share/man/man1/mkttfdir.1
	ln -s /usr/bin/ftinfo   /usr/share/man/man1/ftinfo.1
}

pkg_prerm(){
	rm /usr/share/man/man1/mkttfdir.1
	rm /usr/share/man/man1/ftinfo.1
}
